%define upstream_name	 Module-Compile
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl Module Compilation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA1) >= 2.130.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Filter::Util::Call)
BuildArch:  noarch

%description
This module provides a system for writing modules that compile other Perl
modules. Modules that use these compilation modules get compiled into some
altered form the first time they are run. The result is cached into .pmc files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# upstream packaging bug
rm -f lib/Module/._Compile.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes DESIGN LICENSE META.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.230.0-3.mga4
+ Revision: 512949
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 369785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 0.230.0-1.mga2
+ Revision: 108892
- update to 0.23

* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 32194
- mageia rebuild
- imported package perl-Module-Compile


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 407805
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.20-5mdv2009.0
+ Revision: 257852
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.20-4mdv2009.0
+ Revision: 245883
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-2mdv2008.1
+ Revision: 137000
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.20-1mdv2007.0
+ Revision: 95144
- 0.20
- 0.18
- Import perl-Module-Compile

* Mon Jul 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Wed Jun 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2007.0
- New version 0.16

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.15-4mdk
- Fix According to perl Policy
	- BuildRequires

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.15-3mdk
- Add Buildrequires

* Tue Apr 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdk
- oops, really rpmbuildupdate aware

* Tue Apr 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- new version
- rpmbuildupdate aware
- fix directory ownership
- spec cleanup

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13

* Mon Mar 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-1mdk
- Initial MDV release

